org.keycloak.federation.ldap.idm.query.internal

## Class LDAPQueryConditionsBuilder

- java.lang.Object
- - org.keycloak.federation.ldap.idm.query.internal.LDAPQueryConditionsBuilder

-     public class LDAPQueryConditionsBuilder
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPQueryConditionsBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Condition` | `addCustomLDAPFilter(String filter)`
    `Sort` | `asc(String paramName)`
    `Condition` | `between(String paramName, Comparable x, Comparable y)`
    `Sort` | `desc(String paramName)`
    `Condition` | `equal(String parameter, Object value)`
    `Condition` | `greaterThan(String paramName, Object x)`
    `Condition` | `greaterThanOrEqualTo(String paramName, Object x)`
    `Condition` | `in(String paramName, Object... x)`
    `Condition` | `lessThan(String paramName, Comparable x)`
    `Condition` | `lessThanOrEqualTo(String paramName, Comparable x)`
    `Condition` | `orCondition(Condition... conditions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPQueryConditionsBuilder

          public LDAPQueryConditionsBuilder()

  - ### Method Detail

    - #### equal

          public Condition equal(String parameter,
                                 Object value)

    - #### greaterThan

          public Condition greaterThan(String paramName,
                                       Object x)

    - #### greaterThanOrEqualTo

          public Condition greaterThanOrEqualTo(String paramName,
                                                Object x)

    - #### lessThan

          public Condition lessThan(String paramName,
                                    Comparable x)

    - #### lessThanOrEqualTo

          public Condition lessThanOrEqualTo(String paramName,
                                             Comparable x)

    - #### between

          public Condition between(String paramName,
                                   Comparable x,
                                   Comparable y)

    - #### orCondition

          public Condition orCondition(Condition... conditions)

    - #### addCustomLDAPFilter

          public Condition addCustomLDAPFilter(String filter)

    - #### in

          public Condition in(String paramName,
                              Object... x)

    - #### asc

          public Sort asc(String paramName)

    - #### desc

          public Sort desc(String paramName)

Copyright © 2016 JBoss by Red Hat. All rights reserved.